/*
    SDL_Go - a GUI for GnuGo    
    Copyright (C) 2000  Andreas Rver

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    
    Homepage: http://www.rz.tu-ilmenau.de/~roever/SDL_Go
    Email: andreas_roever@yahoo.com
*/



#include "sdlpushbutton.h"

SDL_PushButton::SDL_PushButton(Widget *parent, const Rect &r, Uint8 Number, Datafile *dat) :
  PushButton(parent, r, Number),
  number(Number),
  data(dat) {
  
}
    
void SDL_PushButton::pressButton() {
  data->pressButton(number);
}
void SDL_PushButton::releaseButton() {
  data->releaseButton(number);
}
    
